LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
ContentProviderProxyFactory Service Referencepublished

is a factory for ContentProviderProxy implementations. More...

`import"ContentProviderProxyFactory.idl";`

Inheritance diagram for ContentProviderProxyFactory:

## Additional Inherited Members
Public Member Functions inherited from XContentProviderFactory
XContentProvider | createContentProvider ([in] string Service)
| creates a XContentProvider implementation object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is a factory for ContentProviderProxy implementations.

The documentation for this service was generated from the following file:

- com/sun/star/ucb/ContentProviderProxyFactory.idl